package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.LandMarkVersion;


/**
*  service接口类
*/
public interface LandMarkVersionService{

    List<LandMarkVersion> getLandMarkVersionList(LandMarkVersion record);

    List<LandMarkVersion> getLandMarkVersionByPage(Page page, LandMarkVersion record);

    LandMarkVersion getLandMarkVersionById(String id);

    LandMarkVersion getLandMarkVersion(LandMarkVersion record);

    boolean createLandMarkVersion(LandMarkVersion record);

    boolean deleteLandMarkVersion(LandMarkVersion record);

    boolean updateLandMarkVersion(LandMarkVersion record);

}

